Архивы: php5.3

Несколько версий PHP на свежем сервере

Бывает, что надо запустить сайты на PHP 5.2-5.3 на свеженьком debian 8, на котором уже есть набор работающих сайтов на php 5.6 например.
проблема решается через mod_fcgid (для apache 2.4) и PHPFarm

чуть позже оформлю в отдельный мануал, но пока ещё просто наводящие материалы, которые мне помогли всё это организовать и завести
http://coderoncode.com/php/programming/devops/2014/04/18/flexible-php-development-phpfarm.html

PHP 5.4 unter Debian 6 Squeeze parallel zu PHP 5.3 (mod_php/mod_fcgid)

а чтоб поставить расширение какое для ПХП, то вот ссылка
https://cweiske.de/tagebuch/phpfarm-install-extensions.htm

PECL memcache extension (debian)

Для работы плагина кэширования в memcached к WordPress

написано поставить PECL memcache extension
ну чтож в тырнетах фигня всякая написана

на самом деле нам нужно 2 комманды

apt-get install memcached php5-dev php-pear
pear install -f pecl/memcache

и в php.ini добавить
extension=memcache.so

Ставим PHP 5.3 на Ubuntu

В файл

/etc/apt/sources.list:

Дописываем строки

deb http://php53.dotdeb.org stable all
deb-src http://php53.dotdeb.org stable all

Далее обновляем

apt-get update
apt-get upgrade